Obtener carpetas de marcadores
curl --request GET \
--url https://api.x.com/2/users/{id}/bookmarks/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Obtener carpetas de marcadores
Obtiene una lista de carpetas de Marcadores creadas por el usuario autenticado.
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
Obtener carpetas de marcadores
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
El ID del usuario de origen autenticado para el que deben devolverse los resultados. Identificador único de este usuario. El valor debe ser el mismo que el del usuario autenticado.
Example:
"2244994945"
Query Parameters
El número máximo de resultados.
Required range:
1 <= x <= 100Este parámetro se utiliza para obtener la siguiente "página" de resultados. Un token de paginación en base36.
Minimum string length:
1Response
La solicitud se ha realizado correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes